Page MenuHomePhabricator

Update all on-wiki references to git.wikimedia.org and replace them with the Phabricator equivalent
Closed, ResolvedPublic

Description

Steps to reproduce

  • No steps since this is a feature request.

But we are creating redirections script for git.wikimedia.org to redirect it but according to https://www.similarweb.com/website/git.wikimedia.org#referrals 59.9% of the traffic come from referrals such as mediawiki.org which is the top, then es.wikipedia.org.

The problem is that we won't be able to redirect every git.wikimedia.org link only the popular ones.

So by updating the references it will make it easy for users instead of for some links they may need to find it in diffusion them selfs whereas if we update the references the user won't need to look manually them selfs.

Details

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved RobLa-WMF
ResolvedQgil
Resolveddemon
DeclinedNone
DeclinedNone
ResolvedDanny_B
ResolvedPaladox
Resolveddemon
Resolveddemon
ResolvedTerraCodes
ResolvedPaladox
Resolveddemon
DuplicateNone
ResolvedQgil
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedchasemp
Resolvedmmodell
ResolvedQgil
DeclinedNone
InvalidQgil
ResolvedQgil
DeclinedNone
Resolved yuvipanda
Invalidchasemp
Resolvedvalhallasw
Declinedvalhallasw
Resolvedvalhallasw
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
InvalidLegoktm
DeclinedNone
DeclinedNone
DeclinedNone
InvalidQChris
ResolvedNone
DuplicateNone
DeclinedNone
DeclinedNone
Resolvedgreg
Resolvedgreg
Resolveddemon
Resolvedgreg
DeclinedNone
Resolvedgreg
Invalidgreg
DeclinedNone
DeclinedNone
Declinedmmodell
Resolvedgreg
Resolveddemon
Invalidmmodell
DuplicateNone
Resolvedmmodell
DeclinedNone
Resolvedmmodell
Declinedgreg
Invalidgreg
DeclinedNone
ResolvedQgil
Invalidmmodell
Resolvedgreg
Resolvedgreg
Declinedgreg
DeclinedNone
Resolvedchasemp
Resolveddemon
Resolvedchasemp
Resolvedchasemp
Invalidchasemp
Resolveddemon
ResolvedNemo_bis
Resolveddemon
ResolvedPaladox
ResolvedKrenair
Resolvedmmodell
InvalidNone
DeclinedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
greg added a comment.Jun 9 2016, 8:33 PM

Low priority since it's only for those links that aren't caught by the redirects (and it's unclear if we should update all of them, they'll need manual review).

greg moved this task from To Triage to Backlog on the Gitblit-Deprecate board.Jun 9 2016, 8:34 PM
Danny_B renamed this task from Update all references to git.wikimedia.org and replace them with the phabricator equivilant to Update all references to git.wikimedia.org and replace them with the Phabricator equivalent.Jun 10 2016, 12:02 AM

For the record: We'll be able to redirect most of the links to the relevant place. The remaining stuff will be linked to either Diffusion main page or given repo main page.

Paladox lowered the priority of this task from Low to Lowest.Jun 13 2016, 3:09 PM

Changing to lowest per ^^. We could update the links that break but ^^ has managed to support most of the links.

Since this task doesn't really block the deprecation itself (we'll deprecate/redirect URLs and see what's left), I'm adding Diffusion so it's not lost.

@greg on mw.org I found 209 references using https://www.mediawiki.org/w/index.php?title=Special:LinkSearch&limit=500&offset=0&target=http%3A%2F%2Fgit.wikimedia.org
I updated a few yesterday which yesterday there was 259 now 209. But if someone approved the translation updates the number will go down.

In fact, there is much bigger number of the links - https://www.mediawiki.org/w/index.php?target=https%3A%2F%2Fgit.wikimedia.org&title=Special%3ALinkSearch gives 8689. Some are shared with your search since they are protocol relative, however, the final number won't be so different...

Quick db check: 4902 unique links to git.wikimedia.org on 5760 unique pages. Some are handled by templates, so editing the templates will lower the number significantly.

@Danny_B hi thanks for finding that out. Do you know which templates we can edit? and some I may have edit but are awaiting translation approval's.

List of templates containing link to git.wikimedia.org. No filtering, just simply all of them.

1| DownloadGitSnapshot |
2| DownloadGitSnapshot/doc |
3| DownloadGitSnapshot/en |
4| DownloadGitSnapshot/es |
5| DownloadGitSnapshot/fr |
6| DownloadGitSnapshot/hu |
7| DownloadGitSnapshot/ja |
8| DownloadGitSnapshot/ru |
9| DownloadMediaWiki |
10| DownloadMediaWiki/ar |
11| DownloadMediaWiki/ca |
12| DownloadMediaWiki/cs |
13| DownloadMediaWiki/da |
14| DownloadMediaWiki/de |
15| DownloadMediaWiki/de-formal |
16| DownloadMediaWiki/diq |
17| DownloadMediaWiki/en |
18| DownloadMediaWiki/en-gb |
19| DownloadMediaWiki/es |
20| DownloadMediaWiki/fa |
21| DownloadMediaWiki/fi |
22| DownloadMediaWiki/fr |
23| DownloadMediaWiki/hu |
24| DownloadMediaWiki/hy |
25| DownloadMediaWiki/it |
26| DownloadMediaWiki/ja |
27| DownloadMediaWiki/ko |
28| DownloadMediaWiki/lb |
29| DownloadMediaWiki/lt |
30| DownloadMediaWiki/nl |
31| DownloadMediaWiki/pl |
32| DownloadMediaWiki/ps |
33| DownloadMediaWiki/pt |
34| DownloadMediaWiki/pt-br |
35| DownloadMediaWiki/ru |
36| DownloadMediaWiki/uk |
37| DownloadMediaWiki/vi |
38| DownloadMediaWiki/zh |
39| Extension/Sample/fr |
40| Extension/el |
41| Extension/el/doc |
42| Extension/hy |
43| Extension/hy/doc |
44| Extension/ja |
45| Extension/ja/doc |
46| Extension/ko |
47| Extension/ko/doc |
48| Extension/pl |
49| Extension/pl/doc |
50| Extension/pt |
51| Extension/pt-br |
52| Extension/pt-br/doc |
53| Extension/pt/doc |
54| Extension/ru |
55| Extension/ru/doc |
56| Extension/uk |
57| Extension/uk/doc |
58| Extension/zh |
59| Extension/zh/doc |
60| GerritLog |
61| GerritLog/doc |
62| GerritLog/en |
63| GerritLog/es |
64| GerritLog/fr |
65| GerritLog/ja |
66| Git_summary |
67| Git_summary/doc |
68| Tool |
69| Tool/doc |
70| Tool/id |
71| Tool/ja |
72| Tool/ja/doc |
73| Tool/pl |
74| Tool/pl/doc |
75| Tool/pt-br |
76| Tool/pt-br/doc |
77| WikimediaDownload |
78| WikimediaDownload/de |
79| WikimediaDownload/de/doc |
80| WikimediaDownload/doc |
81| WikimediaDownload/en |
82| WikimediaDownload/es |
83| WikimediaDownload/fr |
84| WikimediaDownload/ja |
85| WikimediaDownload/ja/doc |
86| WikimediaDownload/ko |
87| WikimediaDownload/mr |
88| WikimediaDownload/pl |
89| WikimediaDownload/pl/doc |
90| WikimediaDownload/pt |
91| WikimediaDownload/pt-br |
92| WikimediaDownload/ru |
93| WikimediaDownload/zh |
94| WikimediaDownloadOld |
95| WikimediaDownloadOld/doc |
96| WikimediaDownloadOld/en |
97| WikimediaDownloadOld/es |
98| WikimediaDownloadPhabricator |
99| WikimediaDownloadPhabricator/es |
100| WikimediaDownloadPhabricator/ja |
101| WikimediaDownloadSkin |
102| WikimediaDownloadSkin/de |
103| WikimediaDownloadSkin/en |
104| WikimediaDownloadSkin/es |
105| WikimediaDownloadSkin/fr |
106| WikimediaDownloadSkin/ja |
107| WikimediaDownloadSkin/ko |
108| WikimediaDownloadSkin/ksh |
109| WikimediaDownloadSkin/pt-br |
110| WikimediaDownloadSkin/pt-br/doc |
111| WikimediaDownloadSkinOld |
112| WikimediaDownloadSkinOld/en |
113| WikimediaDownloadSkinOld/es |
114| WikimediaDownloadSkinOld/ja |
115| WikimediaGitCheckout |
116| WikimediaGitCheckout/de |
117| WikimediaGitCheckout/doc |
118| WikimediaGitCheckout/en |
119| WikimediaGitCheckout/fr |
120| WikimediaGitCheckout/fr/doc |
121| WikimediaGitCheckout/hu |
122| WikimediaGitCheckout/ja |
123| WikimediaGitCheckout/ja/doc |
124| WikimediaGitCheckout/ko |
125| WikimediaGitCheckout/pt-br |
126| WikimediaGitCheckout/pt-br/doc |
127| WikimediaGitCheckout/ru |
128| WikimediaGitCheckout/ru/doc |
129| WikimediaGitCheckout/zh |

Dzahn added a comment.Jun 29 2016, 8:08 PM

@Paladox @Danny_B what about this ticket now after the shutdown of gitblit? It's the very last one that is open on the gitblit-deprecate work board.

Dzahn closed this task as Resolved.Jun 29 2016, 8:10 PM
Dzahn claimed this task.

13:15 < paladox> Yes we can close it since ive updated most popular links on mw.org

and the rewrite rules that Danny_B wrote are convering a LOT , that looks all good to me.

i mean.. check {

1[tin:~] $ apache-fast-test git.wm.org iridium.eqiad.wmnet
2testing 49 urls on 1 servers, totalling 49 requests
3spawning threads..
4
5https://bugzilla.wikimedia.org/
6 * 301 Moved Permanently https://phabricator.wikimedia.org/
7https://bugzilla.wikimedia.org/666
8 * 301 Moved Permanently https://phabricator.wikimedia.org/T2666
9https://git.wikimedia.org/blame/mediawiki%2Fcore.git/REL1_27/includes%2Fspecials%2FSpecialActiveusers.php
10 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/REL1_27/includes/specials/SpecialActiveusers.php
11https://git.wikimedia.org/blame/mediawiki%2Fcore.git/b3492e41f93f54561a4af8d8127b37e59e157a84/includes%2Fspecials%2FSpecialActiveusers.php
12 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/includes/specials/SpecialActiveusers.php;b3492e41f93f54561a4af8d8127b37e59e157a84
13https://git.wikimedia.org/blame/mediawiki%2Fcore.git/master/includes%2Fspecials%2FSpecialActiveusers.php
14 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/includes/specials/SpecialActiveusers.php
15https://git.wikimedia.org/blame/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4/includes%2Fspecials%2FSpecialActiveusers.php
16 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/wmf%25252F1.28.0-wmf.4/includes/specials/SpecialActiveusers.php
17https://git.wikimedia.org/blob/mediawiki%2Fcore.git/REL1_27/includes%2Fspecials%2FSpecialActiveusers.php
18 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/REL1_27/includes/specials/SpecialActiveusers.php
19https://git.wikimedia.org/blob/mediawiki%2Fcore.git/b3492e41f93f54561a4af8d8127b37e59e157a84/includes%2Fspecials%2FSpecialActiveusers.php
20 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/includes/specials/SpecialActiveusers.php;b3492e41f93f54561a4af8d8127b37e59e157a84
21https://git.wikimedia.org/blob/mediawiki%2Fcore.git/master/includes%2Fspecials%2FSpecialActiveusers.php
22 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/includes/specials/SpecialActiveusers.php
23https://git.wikimedia.org/blob/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4/includes%2Fspecials%2FSpecialActiveusers.php
24 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/wmf%25252F1.28.0-wmf.4/includes/specials/SpecialActiveusers.php
25https://git.wikimedia.org/commit/mediawiki%2Fcore.git/4d294bceab9669ee7169248e92fe747a3b5fce7c
26 * 301 Moved Permanently https://phabricator.wikimedia.org/r/commit/mediawiki/core;4d294bceab9669ee7169248e92fe747a3b5fce7c
27https://git.wikimedia.org/commitdiff/mediawiki%2Fcore.git/4d294bceab9669ee7169248e92fe747a3b5fce7c
28 * 301 Moved Permanently https://phabricator.wikimedia.org/r/commit/mediawiki/core;4d294bceab9669ee7169248e92fe747a3b5fce7c
29https://git.wikimedia.org/compare/mediawiki%2Fcore.git
30 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
31https://git.wikimedia.org/docs/mediawiki%2Fcore.git
32 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/
33https://git.wikimedia.org/docs/mediawiki%2Fcore.git/REL1_27
34 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/REL1_27/
35https://git.wikimedia.org/docs/mediawiki%2Fcore.git/master
36 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/
37https://git.wikimedia.org/docs/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4
38 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/wmf%25252F1.28.0-wmf.4/
39https://git.wikimedia.org/history/mediawiki%2Fcore.git/REL1_27/includes%2Fspecials%2FSpecialActiveusers.php
40 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/REL1_27/includes/specials/SpecialActiveusers.php
41https://git.wikimedia.org/history/mediawiki%2Fcore.git/b3492e41f93f54561a4af8d8127b37e59e157a84/includes%2Fspecials%2FSpecialActiveusers.php
42 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/includes/specials/SpecialActiveusers.php;b3492e41f93f54561a4af8d8127b37e59e157a84
43https://git.wikimedia.org/history/mediawiki%2Fcore.git/master/includes%2Fspecials%2FSpecialActiveusers.php
44 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/includes/specials/SpecialActiveusers.php
45https://git.wikimedia.org/history/mediawiki%2Fcore.git/refs%2Fheads%2FREL1_27/includes%2Fspecials%2FSpecialActiveusers.php
46 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/REL1_27/includes/specials/SpecialActiveusers.php
47https://git.wikimedia.org/history/mediawiki%2Fcore.git/refs%2Fheads%2Fmaster/includes%2Fspecials%2FSpecialActiveusers.php
48 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/includes/specials/SpecialActiveusers.php
49https://git.wikimedia.org/history/mediawiki%2Fcore.git/refs%2Fheads%2Fwmf%2F1.28.0-wmf.4/includes%2Fspecials%2FSpecialActiveusers.php
50 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/wmf%25252F1.28.0-wmf.4/includes/specials/SpecialActiveusers.php
51https://git.wikimedia.org/history/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4/includes%2Fspecials%2FSpecialActiveusers.php
52 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/wmf%25252F1.28.0-wmf.4/includes/specials/SpecialActiveusers.php
53https://git.wikimedia.org/log/mediawiki%2Fcore.git/REL1_27
54 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/REL1_27/
55https://git.wikimedia.org/log/mediawiki%2Fcore.git/b3492e41f93f54561a4af8d8127b37e59e157a84
56 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/;b3492e41f93f54561a4af8d8127b37e59e157a84
57https://git.wikimedia.org/log/mediawiki%2Fcore.git/master
58 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/
59https://git.wikimedia.org/log/mediawiki%2Fcore.git/refs%2Fheads%2FREL1_27
60 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/REL1_27/
61https://git.wikimedia.org/log/mediawiki%2Fcore.git/refs%2Fheads%2Fmaster
62 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/master/
63https://git.wikimedia.org/log/mediawiki%2Fcore.git/refs%2Fheads%2Fwmf%2F1.28.0-wmf.4
64 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/wmf%25252F1.28.0-wmf.4/
65https://git.wikimedia.org/log/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4
66 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;history/wmf%25252F1.28.0-wmf.4/
67https://git.wikimedia.org/patch/mediawiki%2Fcore.git/4d294bceab9669ee7169248e92fe747a3b5fce7c
68 * 301 Moved Permanently https://phabricator.wikimedia.org/r/patch/mediawiki/core;4d294bceab9669ee7169248e92fe747a3b5fce7c
69https://git.wikimedia.org/project/
70 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
71https://git.wikimedia.org/project/main
72 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
73https://git.wikimedia.org/project/mediawiki
74 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
75https://git.wikimedia.org/raw/mediawiki/core.git/4d294bceab9669ee7169248e92fe747a3b5fce7c/includes!Status.php
76 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
77https://git.wikimedia.org/summary/?r=mediawiki/core.git
78 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;?r=mediawiki/core.git
79https://git.wikimedia.org/summary/mediawiki%2Fcore.git
80 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;
81https://git.wikimedia.org/tag/mediawiki%2Ftools%2Fcodesniffer.git
82 * 301 Moved Permanently https://phabricator.wikimedia.org/diffusion
83https://git.wikimedia.org/tree/?r=mediawiki/core.git
84 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/?r=mediawiki/core.git
85https://git.wikimedia.org/tree/mediawiki%2Fcore.git
86 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/
87https://git.wikimedia.org/tree/mediawiki%2Fcore.git/471ab05ea26bd1c844237bc752043536d9d2c284
88 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/;471ab05ea26bd1c844237bc752043536d9d2c284
89https://git.wikimedia.org/tree/mediawiki%2Fcore.git/REL1_27
90 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/REL1_27/
91https://git.wikimedia.org/tree/mediawiki%2Fcore.git/master
92 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/
93https://git.wikimedia.org/tree/mediawiki%2Fcore.git/refs%2Fheads%2Fmaster
94 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/master/
95https://git.wikimedia.org/tree/mediawiki%2Fcore.git/wmf%2F1.28.0-wmf.4
96 * 301 Moved Permanently https://phabricator.wikimedia.org/r/p/mediawiki/core;browse/wmf%25252F1.28.0-wmf.4/
97https://phabricator.wikimedia.org/
98 * 200 OK 25286
99https://phabricator.wikimedia.org/T2666
100 * 200 OK 33525
101https://phabricator.wikimedia.org/project/
102 * 200 OK 131627

redirect rules here: https://gerrit.wikimedia.org/r/#/c/296138/

tested URLs here: https://phabricator.wikimedia.org/P3318

Danny_B reopened this task as Open.Jun 29 2016, 9:01 PM
Danny_B reassigned this task from Dzahn to Paladox.
Danny_B added a subscriber: Dzahn.

I guess this was meant to fix all links in templates (& other places) so they won't link to git.wm.o but directly to Phabricator, hence reopening, since the list I pasted above still mostly applies.

Dzahn added a comment.Jun 29 2016, 9:03 PM

Can the gitblit-deprecate tag be removed from it though? (and something else added?)

Might be, although I assigned myself to archive Gitblit-Deprecate so I'll take care of the final cleanup...

We need to findout, where the most will be impacted as we carn't update every link since there is too much even on other wiki's.

Paladox raised the priority of this task from Lowest to High.Jun 30 2016, 5:34 PM
Paladox added a subscriber: bd808.

Setting high priority @bd808 linked us to https://github.com/search?p=2&q=org%3Awikimedia+%22git.wikimedia.org%22&type=Code which shows a lot of links needing updating. Some will have break composer hence the important status.

@mmodell oh, thanks for caching that. We need to add /git/ too.

@Danny_B would you be able to do that please.

Setting high priority @bd808 linked us to https://github.com/search?p=2&q=org%3Awikimedia+%22git.wikimedia.org%22&type=Code which shows a lot of links needing updating. Some will have break composer hence the important status.

This seems rather a new task for me than to be included in this one...

@Danny_B if you think it should be split, could you do it please.

Change 296788 had a related patch set uploaded (by Paladox):
Update git.wikimedia.org references replace them with diffusion

https://gerrit.wikimedia.org/r/296788

Out of nearly 6000 pages in total down to this list of non-talk pages mostly by fixing templates and translation source pages...

1| 0 | Amsterdam_Hackathon_2014/Topics/Wikidata_batch_import_bot |
2| 0 | Analytics/Dashiki |
3| 0 | Analytics/Metric_definitions |
4| 0 | Analytics/Reports/ULSFOImpact |
5| 0 | Analytics/Wikimetrics |
6| 0 | Analytics/Wikimetrics/FAQ |
7| 0 | Analytics/Wikimetrics/Help |
8| 0 | Architecture_meetings/RFC_review_2013-11-06/Log |
9| 0 | Architecture_meetings/RFC_review_2013-11-06/Notes |
10| 0 | Architecture_meetings/RFC_review_2014-07-23 |
11| 0 | Article_feedback/Version_5/Technical_Design_Schema |
12| 0 | At-ease |
13| 0 | Base_convert |
14| 0 | Beta_Features/Hovercards/Trial_message/en |
15| 0 | Beta_Features/Roadmap |
16| 0 | Bug_management/Feedback_sources |
17| 0 | Bug_management/How_to_triage |
18| 0 | Bug_management/Task_list |
19| 0 | Bug_management/status |
20| 0 | CDB |
21| 0 | CLDRPluralRuleParser |
22| 0 | Chemical_Markup_support_for_Wikimedia_Commons/microtasks |
23| 0 | CirrusSearch/BlogDraft |
24| 0 | CirrusSearch/Presentation |
25| 0 | Citoid |
26| 0 | Compact_Personal_Bar |
27| 0 | Content_translation/Deployment_Plan/Archive2 |
28| 0 | Content_translation/Deployment_Plan/Archive3 |
29| 0 | Content_translation/Deployments/Beta |
30| 0 | Content_translation/Deployments/Deployment_Plan/Archive1 |
31| 0 | Content_translation/Deployments/Deployment_Plan/Archive4 |
32| 0 | Content_translation/Deployments/Done |
33| 0 | Content_translation/Deployments/How-to |
34| 0 | Content_translation/Development_Plan/Roadmap/CX01Release |
35| 0 | Content_translation/Development_Plan/Roadmap/CX02Release |
36| 0 | Content_translation/Development_Plan/Roadmap/CX03Release |
37| 0 | Content_translation/MT_Clients |
38| 0 | Content_translation/Machine_Translation |
39| 0 | Content_translation/Translation_view |
40| 0 | Continuous_integration/Documentation_generation |
41| 0 | Continuous_integration/Tutorials/Adding_a_MediaWiki_extension |
42| 0 | Continuous_integration/Tutorials/Adding_basic_checks |
43| 0 | Continuous_integration_meetings/2015-03-30/minutes |
44| 0 | Deployment_tooling/status |
45| 0 | Developers/Maintainers |
46| 0 | Developers/Maintainers/AnalyticsRow |
47| 0 | Developers/Maintainers/ExtensionRow |
48| 0 | Development_statistics |
49| 0 | EMWCon_Spring_2016/Enterprise_Wiki_Farms |
50| 0 | Editing/status |
51| 0 | Engineering_Community_Team/Meetings/2013-11-26 |
52| 0 | Engineering_Community_Team/Planning/2014/01 |
53| 0 | Evaluating_and_Improving_MediaWiki_web_API_client_libraries/Status_updates |
54| 0 | Flow/Epic_Front-End |
55| 0 | Flow/Feed_entries |
56| 0 | Front-end_standards_group/2015-12-02 |
57| 0 | Fundraising_tech/Components |
58| 0 | Gather |
59| 0 | Gerrit/Commit_message_guidelines |
60| 0 | Gerrit/Inactive_projects |
61| 0 | Gerrit/Project_ownership/Archive |
62| 0 | Gerrit/TortoiseGit_tutorial |
63| 0 | Git/Conversion/pywikibot |
64| 0 | Git/New_repositories/Requests/Archive |
65| 0 | IPSet |
66| 0 | Icon_standardisation |
67| 0 | Interwiki_cache/Setup_for_your_own_wiki |
68| 0 | Language_Screenshots |
69| 0 | Language_tools/status |
70| 0 | Maps |
71| 0 | MediaWiki/Homepage_redesign/Design_Document/Texts |
72| 0 | MediaWiki_1.16 |
73| 0 | MediaWiki_1.22/Roadmap/status |
74| 0 | MediaWiki_1.24/Extension_branchpoints |
75| 0 | MediaWiki_UI |
76| 0 | Meetings/2013-10-09 |
77| 0 | Miraheze |
78| 0 | Multimedia/Cache_Invalidation_Misses |
79| 0 | Multimedia/Media_Viewer/Metrics/Architecture |
80| 0 | Multimedia/Media_Viewer/Template_compatibility |
81| 0 | Notifications/Developer_guide |
82| 0 | Notifications/Feature_requirements |
83| 0 | OOjs |
84| 0 | Oauthclient-php |
85| 0 | Offline_content_generator/2013_Code_Sprint/Brainstorming |
86| 0 | Outreachy/Round_9 |
87| 0 | Parsoid/API |
88| 0 | Parsoid/Deployments/2014 |
89| 0 | Parsoid/MediaWiki_DOM_spec/Language_conversion_blocks |
90| 0 | Parsoid/Normalizations |
91| 0 | Parsoid/Packaging |
92| 0 | Parsoid/Style_guide |
93| 0 | Performance_guidelines |
94| 0 | Phabricator/Creating_and_renaming_projects |
95| 0 | Phabricator/Migration/status |
96| 0 | Phabricator/versus_Bugzilla |
97| 0 | Phabricator/versus_Gitblit |
98| 0 | Php-session-serializer |
99| 0 | Project_management_tools/Review/Options |
100| 0 | Purtle |
101| 0 | QINU_fix |
102| 0 | Reading/Component_responsibility |
103| 0 | Reading/Web/Mobile |
104| 0 | Reading/Web/Release_process/experiment |
105| 0 | Reading/Web/Team/Retrospectives/2015-01-05 |
106| 0 | RelPath |
107| 0 | Release_checklist |
108| 0 | Requests_for_comment/CentralNotice_Caching_Overhaul_-_Frontend_Proxy |
109| 0 | Requests_for_comment/CirrusSearch |
110| 0 | Requests_for_comment/Configuration_database_2 |
111| 0 | Requests_for_comment/Data_mapper |
112| 0 | Requests_for_comment/Dependency_injection/2014 |
113| 0 | Requests_for_comment/HTML_templating_library |
114| 0 | Requests_for_comment/Inline_diffs |
115| 0 | Requests_for_comment/Live_preview |
116| 0 | Requests_for_comment/Localisation_format |
117| 0 | Requests_for_comment/Typesafe_enums |
118| 0 | Requests_for_comment/pywikibot_2.0_packaging |
119| 0 | ResourceLoader/Origins |
120| 0 | Scrum_of_scrums/2014-04-30 |
121| 0 | Security_for_developers/Architecture |
122| 0 | Selective_Serialization |
123| 0 | Separating_skins_from_core_MediaWiki |
124| 0 | Tablesorter |
125| 0 | UploadWizard/Funnel_analysis |
126| 0 | Upstream_projects |
127| 0 | Utfnormal |
128| 0 | VisualEditor/2012-13_Q2_forward-look |
129| 0 | VisualEditor/2012-13_Q3_forward-look |
130| 0 | VisualEditor/Target_browser_matrix |
131| 0 | VisualEditor/changelog/Archive/MediaWiki_1.25 |
132| 0 | VisualEditor/changelog/Archive/MediaWiki_1.26 |
133| 0 | WPI |
134| 0 | WikiReleaseTeam/Release_log/2014-10-30 |
135| 0 | WikiReleaseTeam/Release_timeline/1.22 |
136| 0 | Wikibase/DataModel/JSON |
137| 0 | Wikibase/Indexing/Prototype |
138| 0 | Wikibugs |
139| 0 | Wikimedia_Apps/Team/Wikipedia_Android_app_hacking |
140| 0 | Wikimedia_Developer_Summit_2016/T114019/Minutes |
141| 0 | Wikimedia_Engineering/Report/2012/November |
142| 0 | Wikimedia_Engineering/Report/2013/April |
143| 0 | Wikimedia_Engineering/Report/2013/August |
144| 0 | Wikimedia_Engineering/Report/2013/June |
145| 0 | Wikimedia_Engineering/Report/2013/November |
146| 0 | Wikimedia_Engineering/Report/2013/October |
147| 0 | Wikimedia_Engineering/Report/2014/August |
148| 0 | Wikimedia_Engineering/Report/2014/February |
149| 0 | Wikimedia_Engineering/Report/2014/January |
150| 0 | Wikimedia_Engineering/Report/2014/November |
151| 0 | Wikimedia_Engineering/Report/2014/September |
152| 0 | Wikimedia_Foundation_Design/Agora_Control_Library |
153| 0 | Wikimedia_MediaWiki_Core_Team/Backlog/Improve_dumps |
154| 0 | Wikimedia_MediaWiki_Core_Team/Check-ins/20140303 |
155| 0 | Wikimedia_Mobile_engineering/Contribute |
156| 0 | Wikimedia_Release_Engineering_Team/Goal_progress_archive |
157| 0 | Wikipedia_Education_Program/Database_Analysis_Notes |
158| 0 | Wikipedia_Zero |
159| 0 | WrappedString |
160| 0 | Writing_systems |
161| 4 | Pywikibot/2.0/Porting_status |
162| 12 | Extension:Translate/File_format_support |
163| 12 | Extension:Translate/Insertables |
164| 100 | $wgFileBackends |
165| 100 | $wgResourceModuleSkinStyles |
166| 100 | Database_layout/diagram |
167| 100 | Grabbers |
168| 100 | Hooks/ChangeTagCanCreate |
169| 100 | Hooks/MimeMagicInit |
170| 100 | Interwiki_table |
171| 100 | Interwiki_table/ja |
172| 100 | PHP_unit_testing/Writing_unit_tests |
173| 100 | Pywikibot/Development |
174| 100 | Pywikibot/Scripts |
175| 100 | Pywikibot/add_text.py |
176| 100 | Pywikibot/refLinks/it |
177| 100 | Tags |
178| 100 | User_rights |
179| 100 | User_rights/de |
180| 100 | User_rights/en |
181| 100 | User_rights/es |
182| 100 | User_rights/fr |
183| 100 | User_rights/id |
184| 100 | User_rights/ja |
185| 100 | User_rights/ko |
186| 100 | User_rights/pl |
187| 102 | Admin_Links |
188| 102 | Approved_Revs |
189| 102 | AssertEdit |
190| 102 | BlockAndNuke |
191| 102 | BlueSpice/Weekly_Version |
192| 102 | BreadCrumbs2 |
193| 102 | Cargo/Download_and_installation |
194| 102 | CentralNotice/Banner_mixins_(deprecated) |
195| 102 | CentralNotice/Notes/Banner_controller_refactoring |
196| 102 | CirrusSearch |
197| 102 | CirrusSearch/Tour |
198| 102 | CodeReview |
199| 102 | ContactPage |
200| 102 | Create_Page |
201| 102 | Data_Transfer |
202| 102 | Education_Program/schema |
203| 102 | EventLogging/Data_representations |
204| 102 | EventLogging/Programming |
205| 102 | External_Data |
206| 102 | Flow |
207| 102 | Gather |
208| 102 | GlobalBlocking |
209| 102 | GraphViz |
210| 102 | HTML_Tags |
211| 102 | Header_Tabs |
212| 102 | Header_Tabs/Version_history |
213| 102 | Html2Wiki/Reference |
214| 102 | IndexFunction |
215| 102 | Lingo |
216| 102 | LinkedWiki |
217| 102 | LiquidThreads |
218| 102 | LiquidThreads/ja |
219| 102 | Mantle |
220| 102 | Minifier |
221| 102 | Minimum_Name_Length |
222| 102 | NSFileRepo |
223| 102 | OggHandler |
224| 102 | PCR_GUI_Inserts |
225| 102 | PageTools |
226| 102 | Page_Schemas |
227| 102 | Proofread_Page |
228| 102 | RSS |
229| 102 | RandomImage |
230| 102 | RelatedArticles |
231| 102 | Semantic_Compound_Queries |
232| 102 | Semantic_Drilldown |
233| 102 | Semantic_Drilldown/zh-hant |
234| 102 | Semantic_Forms/Common_problems |
235| 102 | Semantic_Forms/Download_and_installation |
236| 102 | Semantic_Internal_Objects |
237| 102 | Semantic_Tasks |
238| 102 | SimpleAntiSpam |
239| 102 | Simple_Farm |
240| 102 | Site_Settings |
241| 102 | SocialProfile |
242| 102 | SphinxSearch |
243| 102 | SyntaxHighlight_GeSHi/de |
244| 102 | Tabs/Usage |
245| 102 | Teahouse/DE |
246| 102 | UserExport |
247| 102 | UserPageEditProtection |
248| 102 | Video |
249| 102 | VipsScaler |
250| 102 | WYSIWYG |
251| 102 | Widgets |
252| 102 | WikiEditor/Toolbar_customization |
253| 102 | WikiHiero |
254| 102 | WikibaseMediaInfo |
255| 102 | WikibaseMediaInfo/en |
256| 102 | WikibaseMediaInfo/es |
257| 102 | WikibaseMediaInfo/ja |
258| 102 | Workflow |
259| 102 | Xowa |
260| 104 | Client_code |
261| 106 | Apex/ja |
262| 106 | Aurora/ja |
263| 106 | Bouquet/ja |
264| 106 | Chick/ja |
265| 106 | Cologne_Blue/ja |
266| 106 | Cologne_Blue/pt-br |
267| 106 | Daddio/ja |
268| 106 | Darkvector/ja |
269| 106 | DeepSea/ja |
270| 106 | Discourse/ja |
271| 106 | Example/ja |
272| 106 | Foreground/ja |
273| 106 | GoMediaWiki/ja |
274| 106 | Grey_Vector/ja |
275| 106 | Greyt/ja |
276| 106 | GuMax/ja |
277| 106 | GuMaxDD/ja |
278| 106 | Impro/ja |
279| 106 | MediaWikiBootstrap/ja |
280| 106 | Metrolook |
281| 106 | Modern/ja |
282| 106 | Modern/pt-br |
283| 106 | Monaco/ja |
284| 106 | MonoBook/ja |
285| 106 | MonoBook/pt-br |
286| 106 | MySkin/ja |
287| 106 | Nimbus |
288| 106 | Simple/ja |
289| 106 | Splash/ja |
290| 106 | Splash/pt-br |
291| 106 | Standard/ja |
292| 106 | Strapping/ja |
293| 106 | Tweeki/ja |
294| 106 | Vector/ja |
295| 106 | Vector/pt-br |

@Danny_B if you think it should be split, could you do it please.

OK.

Danny_B lowered the priority of this task from High to Lowest.Jun 30 2016, 5:59 PM

Splitted to T139089: Fix references to git.wikimedia.org in all repos -> lowering the priority back to Lowest.

Change 296816 had a related patch set uploaded (by Paladox):
Allow git.wikimedia.org/git/passport-mediawiki/git to be redirected properly

https://gerrit.wikimedia.org/r/296816

Change 296788 merged by jenkins-bot:
Update git.wikimedia.org references replace them with diffusion

https://gerrit.wikimedia.org/r/296788

Rical added a subscriber: Rical.Jul 1 2016, 11:45 AM

Change 296816 abandoned by Paladox:
Allow git.wikimedia.org/git/passport-mediawiki/git to be redirected properly

Reason:
This is a clone link and is not easy redirected.

The easy way is to just replace the link with the phabricator clone link.

https://gerrit.wikimedia.org/r/296816

In P3325#15899, @Dzahn wrote:

Could this be a job for a bot? pywikibot?

Might be as long as the bot will pretty much do the following:

Take the link in table.
Get the final redirected URL (via HEAD?).
If it is not the generic one then replace otherwise log -> needs manual replacement.

Dzahn added a comment.Jul 1 2016, 4:22 PM
This comment was removed by Dzahn.
Dzahn added a comment.Jul 1 2016, 4:23 PM

1| 0 | Add_a_wiki |
2| 0 | Analytics/Cluster/Oozie |
3| 0 | Analytics/Cluster/Refinery-source |
4| 0 | Analytics/Cluster/Webrequest_partitions |
5| 0 | Analytics/Dashboards |
6| 0 | Analytics/Data/Mediacounts |
7| 0 | Analytics/EventLogging/Data_representations |
8| 0 | Analytics/Pageviews |
9| 0 | Analytics/Webstatscollector |
10| 0 | Apache_log_format |
11| 0 | Bugzilla.wikimedia.org |
12| 0 | Bugzilla.wikimedia.org/Upgrade-notes-4.2.7-to-4.4.1 |
13| 0 | Building_a_Shiny_Dashboard |
14| 0 | Cache_log_format |
15| 0 | DNS |
16| 0 | Deployments/Archive/2015/02 |
17| 0 | Deployments/Archive/2015/07 |
18| 0 | Deployments/Archive/2015/08 |
19| 0 | Discovery/Analytics |
20| 0 | DrTrigonBot |
21| 0 | DrTrigonBot/Migration_from_TS |
22| 0 | Dumps |
23| 0 | Dumps/Adds-changes_dumps |
24| 0 | Fundraising |
25| 0 | Fundraising_Analytics/Impression_Stats |
26| 0 | Get_involved |
27| 0 | Gitblit |
28| 0 | Grrrit-wm |
29| 0 | How_to_deploy_Wikidata_code |
30| 0 | How_to_deploy_code |
31| 0 | How_to_perform_security_fixes |
32| 0 | Incident_documentation/20150914-extension1 |
33| 0 | Key_Wikimedia_software_projects |
34| 0 | Logs |
35| 0 | MariaDB/Sanitarium_and_Labsdbs |
36| 0 | Mobile_Reportcard |
37| 0 | Operations_requests |
38| 0 | PHP_error_pages |
39| 0 | PyBal |
40| 0 | Scholarships.wikimedia.org |
41| 0 | Search/2013 |
42| 0 | SecurePoll |
43| 0 | Shell_Request/Miguelg |
44| 0 | Tor_relay |
45| 0 | UDP_based_profiling |
46| 0 | Webperf |
47| 0 | Wikimedia_binaries |
48| 0 | Writing_an_extension_for_deployment |
49| 0 | X-Analytics |
50| 2 | Dzahn/misc-web-https |
51| 2 | Labslogbot |
52| 2 | Mobrovac/Service_Deployment |
53| 2 | Mormegil |
54| 10 | Git_summary |
55| 12 | Tool_Labs/Performance |
56| 498 | Sentry/Overview |
57| 498 | Tools.heritage/SAL |

This comment was removed by Danny_B.

Could someone update the SQL results in P3326? Looks like quite some got fixed in the meantime... Thanks!

@Aklapper I belive I completed all on what's on that list :)

But @Dzahn could you check again to make sure I didn't miss anything please.

Dzahn added a comment.Jul 12 2016, 4:48 PM
+----------------+-----------------------------------------------------+
| page_namespace | page_title                                          |
+----------------+-----------------------------------------------------+
|              0 | Bugzilla.wikimedia.org/Upgrade-notes-4.2.7-to-4.4.1 |
|              0 | Deployments/Archive/2015/02                         |
|              0 | Deployments/Archive/2015/07                         |
|              0 | Deployments/Archive/2015/08                         |
|              0 | Gitblit                                             |
|              0 | PHP_error_pages                                     |
|              0 | Search/2013                                         |
|              2 | Dzahn/misc-web-https                                |
|              2 | Mormegil                                            |
+----------------+-----------------------------------------------------+
Dzahn added a comment.Jul 12 2016, 4:49 PM

note: some things are maybe "won't fix", clickable links should be fixed, but we don't need/should edit things like old log files or pastes with just plaintext.. shrug

I edited some. Others are ignorable / intentional.

What's left:

0Deployments/Archive/2015/02
0Deployments/Archive/2015/07
0Deployments/Archive/2015/08

I don't really feel like updating these archived ones. *shrug*

0PHP_error_pages

The mentioned file does not exist anymore - whole "update the error page" paragraph needs an update (or removal?). Hashar might know but the page already says it is outdated. *shrug*

2Dzahn/misc-web-https

Irrelevant (just lists the subdomain).

2Mormegil

Ignore - Up to the user (also still links to Bugzilla...).


Proposing to close this task as resolved if this task was about wikitech.wm.org (scope unclear to me).

This task should have it limits to the develepers sites such as mw.org and wikitech and maybe meta.wm.org.

Dzahn added a comment.Jul 12 2016, 5:39 PM

Yes, i agree wikitech is done and also that the task should be limited to certain wikis we control.

I guess meta. is next though

Maybe also foundation wiki in case there are some links there... As it is "official wiki".

Aklapper renamed this task from Update all references to git.wikimedia.org and replace them with the Phabricator equivalent to Update all on-wiki references to git.wikimedia.org and replace them with the Phabricator equivalent.Oct 25 2016, 9:48 PM

Could someone provide updated lists for wikitech, meta, and mediawiki please, so we can get an idea how much work is left?
Thanks in advance!

I made a small custom change to mwgrep (and put it in my home dir) to run git\.wikimedia\.org through the regex search in elasticsearch, turned up the following: P4306

for some reason i didn't notice you only asked about 3 wikis ... in those cases you can just go to the individual wikis an do a search for: insource:/git\.wikimedia\.org/. The pastie above is for the entire cluster.

Dzahn added a comment.Oct 26 2016, 5:14 AM

cool, thanks for that list @EBernhardson

  • fixed wikidata:Tools/External tools it was just one link but if that gets translated it removes 34 from that list at once.
  • fixed mediawiki:extension:TitleBlacklist same here, if it gets translated that fixes a bunch at once
  • example for something i thought we should probably NOT fix: "metawiki 2015 Community Wishlist Survey/Moderation and admin tools". It is also translated a lot but here it is a personal user comment in a discussion and editing history there seems kind of wrong, as opposed to pages like the 2 examples above, or does it not?

Erik: Thanks for the list!

commons, meta, labswiki (wikitech) are done IMHO, as I won't edit old pages that have a 'timeframe' or are historical/archive or discussion comments or old grants or old status pages or (user) talk/discussion pages or or or or or.

So IMHO some stuff on mediawikiwiki is left. (I think I don't care enough about other pages.)

Paladox added a comment.EditedOct 26 2016, 3:56 PM

Thankyou for doing that :)

Rical removed a subscriber: Rical.Nov 5 2016, 5:21 PM
mmodell closed this task as Resolved.Nov 9 2016, 9:33 AM

@Aklapper:

Thanks to everyone who helped out with this.

Dzahn added a comment.Nov 9 2016, 4:31 PM

nice! maybe update P4306 one last time?

nice! maybe update P4306 one last time?

updated.